curl https://flameproxies.com/api/customer/balance \
-H "Authorization: Bearer fp_live_xxx"
import requests
resp = requests.get(
"https://flameproxies.com/api/customer/balance",
headers={"Authorization": "Bearer fp_live_xxx"},
)
print(resp.json())
const resp = await fetch("https://flameproxies.com/api/customer/balance", {
headers: { Authorization: "Bearer fp_live_xxx" },
});
console.log(await resp.json());
{
"balance": 42.5,
"currency": "USD",
"data_balance_gb": 3
}
Account
Get wallet balance
Returns your current USD wallet balance and your reusable Customer API GB credit balance.
GET
/
api
/
customer
/
balance
curl https://flameproxies.com/api/customer/balance \
-H "Authorization: Bearer fp_live_xxx"
import requests
resp = requests.get(
"https://flameproxies.com/api/customer/balance",
headers={"Authorization": "Bearer fp_live_xxx"},
)
print(resp.json())
const resp = await fetch("https://flameproxies.com/api/customer/balance", {
headers: { Authorization: "Bearer fp_live_xxx" },
});
console.log(await resp.json());
{
"balance": 42.5,
"currency": "USD",
"data_balance_gb": 3
}
Orders and bandwidth top-ups made through the Customer API are paid from your wallet balance. The response also includes your reusable GB credit balance: GB credits are spent before your wallet balance on create order and add data calls. You earn GB credits when you remove data from a package.
This endpoint takes no request body. It’s also a quick way to check that your API key works.
curl https://flameproxies.com/api/customer/balance \
-H "Authorization: Bearer fp_live_xxx"
import requests
resp = requests.get(
"https://flameproxies.com/api/customer/balance",
headers={"Authorization": "Bearer fp_live_xxx"},
)
print(resp.json())
const resp = await fetch("https://flameproxies.com/api/customer/balance", {
headers: { Authorization: "Bearer fp_live_xxx" },
});
console.log(await resp.json());
{
"balance": 42.5,
"currency": "USD",
"data_balance_gb": 3
}
